Skip to content
WP Engine Documentation

Request a Let's Encrypt Certificate for a legacy domain

POST
/installs/{install_id}/domains/{domain_id}/ssl_certificate
curl --request POST \
--url https://api.wpengineapi.com/v1/installs/example/domains/example/ssl_certificate \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "email_address": "jane@example.com", "given_name": "Jane", "family_name": "Doe", "region_code": "US", "state": "Texas", "city": "Austin", "phone": "800-123-4567" }'

Submits a request for a Let’s Encrypt Certificate for a given domain on an install. This is for domains on the legacy network.

install_id
required
string format: uuid

ID of install

domain_id
required
string format: uuid

ID of domain

Properties
  • email_address - required - The certificate’s holder’s email address
  • given_name - required - The certificate holder’s first / given name
  • family_name - required - The certificate holder’s last / family name
  • region_code - required - The two-letter ISO 3166-1 alpha-2 code for the certificate’s country
  • state - optional - The certificate’s state / region
  • city - optional - The certificate’s city / locality
  • phone - optional - The certificate holder’s phone number
Media type application/json
object
email_address
required

The certificate’s holder’s email address

string
Example
jane@example.com
given_name
required

The certificate holder’s first / given name

string
Example
Jane
family_name
required

The certificate holder’s last / family name

string
Example
Doe
region_code
required

The two-letter ISO 3166-1 alpha-2 code for the certificate’s country

string
Example
US
state

The certificate’s state/region

string
Example
Texas
city

The certificate’s city/locality

string
Example
Austin
phone

The certificate holder’s phone number

string
Example
800-123-4567

Accepted. Order has been accepted for processing.

Media type application/json

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal server error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable

Media type application/json